## gtk+2.0 2.24.23

=== examples/gtkdial/Makefile ===

CC = gcc

CFLAGS = -Wall			 	\
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED

dial_test: gtkdial.o dial_test.o
	$(CC) dial_test.o gtkdial.o -o dial_test `pkg-config --libs gtk+-2.0`

dial_test.o: dial_test.c gtkdial.h
	$(CC) -c dial_test.c -o dial_test.o $(CFLAGS) `pkg-config gtk+-2.0 --cflags`

gtkdial.o: gtkdial.c gtkdial.h
	$(CC) -c gtkdial.c -o gtkdial.o $(CFLAGS) `pkg-config gtk+-2.0 --cflags`

clean: 
	rm -f *.o dial_test

=== debian/changelog ===
gtk+2.0 (2.24.23-0ubuntu1) trusty; urgency=medium

  * New upstream version
  * debian/patches/git_print_default_location.patch:
    - Print to a file in the current directory by default

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Mar 2014 16:53:00 +0100

gtk+2.0 (2.24.22-1ubuntu2) trusty; urgency=medium

  * debian/patches/backport_search_printer_location.patch
    -  The list of printers should be searchable/sortable (lp: #1188571) 

 -- Ritesh Khadgaray <ritesh@canonical.com>  Thu, 06 Feb 2014 11:39:01 +0000

gtk+2.0 (2.24.22-1ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes:
    + debian/libgtk2.0-0.symbols:
      - Add Ubuntu specific symbols
    + debian/patches/012_ubuntu-set-grab-add.patch
      - Added ubuntu_gtk_widget_set_has_grab so we can grab sliders and 
        things in menus, needed by ido
    + debian/patches/062_dnd_menubar.patch:
      - Allow click on menubars for dnd
    + debian/patches/063_treeview_almost_fixed.patch:
      - Add an ubuntu-almost-fixed-height-mode property, (required for
        software-center)
    + debian/patches/071_no_offscreen_widgets_grabbing.patch:
      - Don't let offscreen widgets do grabbing
    + debian/patches/090_logging_file_saves.patch:
      - improve the logging of saved files
    + debian/patches/092_default_to_xdg_document_dir.patch:
      - Use $XDG_DOCUMENTS_DIR as default directory rather than the home
        directory for the 'Print to File' function.
    + debian/patches/093_gtk3_gtkimage_fallbacks_use.patch:
      - Backported gtk3 patch to add a "use-fallback" property to GtkImage,
        using it "icon-name and GIcon type of GtkImages can use automatic
        fallback names.", it will be useful for the indicator stack
    + debian/patches/095_git_menus_scrolling.patch:
      - backported gtk3 commit to fix menu scrolling issues
    + debian/patches/096_git_gtkprintsettings.patch:
      - upstream git commit backported from the gtk3 serie, don't ignore the 
        gtkprintsettings resolution settings 
    + debian/patches/097_statusicon_image_fallback.patch: Make GtkStatusIcon
      images use fallbacks by default if the property is available.
    + debian/patches/098_multiarch_module_path.patch:
      - Fallback to the pre-multiarch directory for compatibility
    + debian/patches/099_printer_filename_fix.patch
      - Fix to the print dialog for print to file, make sure a non-hidden filename 
        is the default (LP: #488857)
    + debian/patches/100_overlay_scrollbar_loading.patch
      - support for dynamically loading overlay scrollbars
    + debian/patches/gtk-shell-shows-menubar.patch:
      - list gtk-shell-shows-menubar setting, that's required to have the local
        menubars hidding under unity in favor of the unity ones,

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Nov 2013 14:19:02 +0000

gtk+2.0 (2.24.22-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 22 Oct 2013 23:33:46 +0200

gtk+2.0 (2.24.21-1ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes:
    + debian/libgtk2.0-0.symbols:
      - Add Ubuntu specific symbols
    + debian/patches/012_ubuntu-set-grab-add.patch
      - Added ubuntu_gtk_widget_set_has_grab so we can grab sliders and 
        things in menus, needed by ido
    + debian/patches/062_dnd_menubar.patch:
      - Allow click on menubars for dnd
    + debian/patches/063_treeview_almost_fixed.patch:
      - Add an ubuntu-almost-fixed-height-mode property, (required for
        software-center)
    + debian/patches/071_no_offscreen_widgets_grabbing.patch:
      - Don't let offscreen widgets do grabbing
    + debian/patches/090_logging_file_saves.patch:
      - improve the logging of saved files
    + debian/patches/092_default_to_xdg_document_dir.patch:
      - Use $XDG_DOCUMENTS_DIR as default directory rather than the home
        directory for the 'Print to File' function.
    + debian/patches/093_gtk3_gtkimage_fallbacks_use.patch:
      - Backported gtk3 patch to add a "use-fallback" property to GtkImage, using 
        it "icon-name and GIcon type of GtkImages can use automatic fallback 
        names.", it will be useful for the indicator stack
    + debian/patches/095_git_menus_scrolling.patch:
      - backported gtk3 commit to fix menu scrolling issues
    + debian/patches/096_git_gtkprintsettings.patch:
      - upstream git commit backported from the gtk3 serie, don't ignore the 
        gtkprintsettings resolution settings 
    + debian/patches/097_statusicon_image_fallback.patch: Make GtkStatusIcon
      images use fallbacks by default if the property is available.
    + debian/patches/098_multiarch_module_path.patch:
      - Fallback to the pre-multiarch directory for compatibility
    + debian/patches/099_printer_filename_fix.patch
      - Fix to the print dialog for print to file, make sure a non-hidden filename 
        is the default (LP: #488857)
    + debian/patches/100_overlay_scrollbar_loading.patch
      - support for dynamically loading overlay scrollbars
  * debian/patches/0001-Actually-look-in-usr-share-gtk-2.0-for-default-rc-fi.patch:
    Check in the right directory for rc files.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 21 Oct 2013 17:08:29 +0100

gtk+2.0 (2.24.21-1) unstable; urgency=low

  * New upstream release.
  * Use the official field for udebs: Package-Type.
  * Update 001_static-linking-dont-query-immodules.patch, follow upstream and
    use immodules.cache instead of gtk.immodules.
  * Install gtk-doc API documentation for gtk and gdk to the correct location
    so it can be found by devhelp. Closes: #718360

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Sep 2013 23:37:03 +0200

=== debian/control ===
Source: gtk+2.0
Section: libs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               gettext,
               gtk-doc-tools (>= 1.11),
               pkg-config,
               autotools-dev,
               dh-autoreconf,
               libglib2.0-dev (>= 2.27.3),
               libgdk-pixbuf2.0-dev (>= 2.22.1),
               libpango1.0-dev (>= 1.28.3),
               libatk1.0-dev (>= 1.32.0),
               libx11-dev (>= 2:1.3.3-2),
               libxext-dev (>= 2:1.1.1-3),
               libxi-dev (>= 2:1.3-4),
               libxrandr-dev (>= 2:1.2.99),
               libxt-dev,
               libxrender-dev (>= 1:0.9.5-2),
               libxft-dev,
               libxcursor-dev (>= 1:1.1.10-2),
               libxcomposite-dev (>= 1:0.2.0-3),
               libxdamage-dev (>= 1:1.0.1-3),
               libxkbfile-dev,
               libxinerama-dev (>= 2:1.1-3),
               libxfixes-dev (>= 1:3.0.0-3),
               libcairo2-dev (>= 1.6.4-6.1),
               gnome-pkg-tools (>= 0.11),
               dpkg-dev (>= 1.16.0),
               x11proto-xext-dev,
               libcups2-dev (>= 1.2),
               gobject-introspection (>= 0.10.8-2),
               libgirepository1.0-dev (>= 0.9.3),
               quilt,
               gawk,
               shared-mime-info
Build-Depends-Indep: docbook-xml,
                     docbook-utils,
                     libglib2.0-doc,
                     libatk1.0-doc,
                     libpango1.0-doc,
                     libcairo2-doc
Standards-Version: 3.9.4
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntu
Homepage: http://www.gtk.org/

Package: libgtk2.0-0
Architecture: any
Depends: libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info
Provides: gtk2.0-binver-2.10.0
Recommends: hicolor-icon-theme,
            libgtk2.0-bin
Suggests: librsvg2-common,
          gvfs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk2.0-0-udeb
Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: gtk2.0-binver-2.10.0
Description: GTK+ graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk2.0-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Recommends: libgtk2.0-0
Replaces: libgtk2.0-0 (<< 2.24.8-2)
Breaks: libgtk2.0-0 (<< 2.24.8-2)
Multi-Arch: foreign
Description: common files for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk2.0-bin
Section: misc
Architecture: any
Depends: ${misc:Depends},
         libgtk2.0-0 (= ${binary:Version}),
         libgtk2.0-common
Multi-Arch: foreign
Description: programs for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the utilities which are used by the libraries
 and other packages.

Package: libgtk2.0-dev
Section: libdevel
Architecture: any
Depends: libgtk2.0-0 (= ${binary:Version}),
         gir1.2-gtk-2.0 (= ${binary:Version}),
         libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.27.3),
         libgdk-pixbuf2.0-dev (>= 2.21.0),
         libpango1.0-dev (>= 1.20),
         libatk1.0-dev (>= 1.29.2),
         libcairo2-dev (>= 1.6.4-6.1),
         libx11-dev (>= 2:1.0.0-6),
         libxext-dev (>= 1:1.0.1-2),
         libxinerama-dev (>= 1:1.0.1-4.1),
         libxi-dev (>= 1:1.0.1-4),
         libxrandr-dev (>= 2:1.2.99),
         libxcursor-dev,
         libxfixes-dev (>= 1:3.0.0-3),
         libxcomposite-dev (>= 1:0.2.0-3),
         libxdamage-dev (>= 1:1.0.1-3),
         pkg-config (>= 0.26-1),
         libxml2-utils
Recommends: python (>= 2.4),
            debhelper
Suggests: libgtk2.0-doc
Replaces: gir-repository-dev
Description: development files for the GTK+ library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header files and static libraries which are
 needed for developing GTK+ applications.

Package: libgtk2.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgtk2.0-0 (= ${binary:Version}),
         libgtk2.0-common,
         ${misc:Depends}
Description: GTK+ libraries and debugging symbols
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libgtk2.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libatk1.0-doc,
            libpango1.0-doc
Suggests: devhelp
Multi-Arch: foreign
Description: documentation for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK+ library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: gtk2.0-examples
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2.0-0 (= ${binary:Version})
Description: example files for GTK+ 2.0
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the example files and a demonstration program
 for GTK+-2.0.

Package: gtk2-engines-pixbuf
Section: graphics
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0 (= ${binary:Version}),
         libgtk2.0-common
Description: pixbuf-based theme for GTK+ 2.x
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the pixbuf theme engine.

Package: gir1.2-gtk-2.0
Section: introspection
Architecture: any
Depends: libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Conflicts: gobject-introspection-repository,
           gir1.0-gtk-2.0
Replaces: gir1.0-gtk-2.0
Description: GTK+ graphical user interface library -- gir bindings
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libgail18
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0 (= ${binary:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library.

Package: libgail-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgail18 (= ${binary:Version})
Breaks: libgnome2-0 (<< 2.32.1-2)
Multi-Arch: same
Description: GNOME Accessibility Implementation Library -- common modules
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains core shared libraries.

Package: libgail-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgail18 (= ${binary:Version}),
         libgail-common (= ${binary:Version}),
         libgtk2.0-dev (= ${binary:Version}),
         pkg-config (>= 0.26-1),
         libatk1.0-dev (>= 1.13.0)
Suggests: libgail-doc
Description: GNOME Accessibility Implementation Library -- development files
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the development files for Gail.

Package: libgail-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libgail18 (= ${binary:Version})
Recommends: libgtk2.0-0-dbg
Multi-Arch: same
Description: Gail libraries and debugging symbols
 Gail is the "GNOME Accessibility Implementation Library".
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libgail-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: documentation files of the Gail library
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the documentation files for Gail.

=== debian/rules ===
#!/usr/bin/make -f

# Debian GNOME Maintainers
DISABLE_UPDATE_UPLOADERS := 1
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := gtk+

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

STAMP_DIR := debian/stampdir

PATCH_DIR := debian/patches

# rules in this debian/rules Makefile can be built concurrently as well as
# upstream rules in Makefile; all $(MAKE) invocations will inherit this flag,
# if you recurse into debian/rules ($(MAKE)
# -f debian/rules in rules), you need to pass a flag to avoid adding "-jX" when
# the childs encounters this line
DEB_BUILD_OPTIONS_PARALLEL ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL_FLAGS += $(if $(DEB_BUILD_OPTIONS_PARALLEL),-j$(DEB_BUILD_OPTIONS_PARALLEL))

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_BUILD_OPTIONS += multiarch
# relative libdir
ifneq (,$(findstring multiarch,$(DEB_BUILD_OPTIONS)))
LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)
else
LIBDIR := usr/lib
endif

# ppc64 support; see #386815
ifeq ($(DEB_HOST_GNU_CPU),powerpc64)
	CFLAGS += -mminimal-toc
endif

# default CFLAGS; these can be expanded with $(call flavor_get, )
CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

# default LDFLAGS; these can be expanded with $(call flavor_get, )
# currently fails in the cups gtkprint backend
#LDFLAGS += -Wl,-z,defs

DEBVERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION := $(shell echo $(DEBVERSION) | sed -e 's/-[^-]*$$//')
APIVER := 2.0
SONAME := 0
SHVER := 2.24.0

# earliest version that this release has backwards binary compatibility for
GTK_BINARY_VERSION := 2.10.0

# Gtk binary version virtual Provide
GTK_BINVER_DEP := gtk$(APIVER)-binver-$(GTK_BINARY_VERSION)

# relative base directory for all types of modules
MODULES_BASE_PATH := $(LIBDIR)/gtk-$(APIVER)/$(GTK_BINARY_VERSION)
OLD_MODULES_BASE_PATH := usr/lib/gtk-$(APIVER)/$(GTK_BINARY_VERSION)

# package names
SHARED_PKG := libgtk$(APIVER)-$(SONAME)
COMMON_PKG := libgtk$(APIVER)-common
DEV_PKG := libgtk$(APIVER)-dev
UDEB_PKG := $(SHARED_PKG)-udeb
DOC_PKG := libgtk$(APIVER)-doc
BIN_PKG := libgtk$(APIVER)-bin
DEBUG_PKG := $(SHARED_PKG)-dbg
EXAMPLES_PKG := gtk$(APIVER)-examples
PIXBUF_PKG := gtk2-engines-pixbuf

# package groups, used in rule dependencies and in cleanup
BINARY_INDEP_PKGS := $(COMMON_PKG) $(DOC_PKG) libgail-doc
BINARY_ARCH_PKGS := $(SHARED_PKG) $(BIN_PKG) $(UDEB_PKG) $(DEV_PKG) $(DEBUG_PKG) $(EXAMPLES_PKG) $(PIXBUF_PKG) gir1.2-gtk-2.0 libgail18 libgail-dbg libgail-dev libgail-common
ALL_PKGS := $(BINARY_INDEP_PKGS) $(BINARY_ARCH_PKGS)

# list of flavors we build; each gets a builddir, a configure pass (configure
# args are defined below), a build pass, and an install pass (in two steps)
# Note: the shared flavor is required
FLAVORS := shared shared_udeb static

# current flavor we're building; this is only expanded in flavor specific
# targets
current_flavor = $*

# macro to get a value for the current flavor we're building; for example
# when building the shared flavor, $(call flavor_get,CFLAGS) will expand to
# shared_CFLAGS if it's set or to CFLAGS otherwise; pay attention to not adding
# superflous spaces when for the arguments of $(call ); only some vars can
# be expanded in this way though
flavor_get = $(or $($(current_flavor)_$(1)),$($(1)))

# build dir for the current flavor; this is only expanded in flavor specific
# targets
builddir = $(buildbasedir)/$(current_flavor)
buildbasedir = $(CURDIR)/debian/build

# install dir for the current flavor; this is only expanded in flavor specific
# targets
installdir = $(installbasedir)/$(current_flavor)
installbasedir = $(CURDIR)/debian/install

# configure flags
configure_flags := \
			--prefix=/usr \
			--libdir=/$(LIBDIR) \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--enable-test-print-backend \
			--enable-introspection=no \
			--with-xinput=yes \
			--build=$(DEB_BUILD_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

shared_configure_flags := $(configure_flags) \
			--enable-shared \
			--enable-introspection=yes \
			--disable-static
shared_udeb_configure_flags := $(shared_configure_flags) \
			--disable-xcomposite \
			--disable-xdamage \
			--disable-xfixes \
			--disable-xrandr
static_configure_flags := $(configure_flags) \
			--with-included-loaders=yes \
			--disable-modules \
			--disable-shared \
			--enable-static

# list of flavors to run the test suite on
CHECK_FLAVORS := $(filter shared static, $(FLAVORS))

DH_INSTALLDOCS_FILES := NEWS README AUTHORS

# macro computing the list of 'debian/<pkg>.*" files which have a corresponding
# ".in" file; pass the list of packages in $(1)
dh_subst_files = $(patsubst %.in,%,$(wildcard $(addprefix debian/, $(addsuffix *.in, $(1)))))

# Gruik gruik generation of .devhelp files for the FAQ and tutorial
debian/gtk-%.devhelp: docs/%/html/index.html
	gawk -f debian/gruik2devhelp.awk -v name=gtk-$* $< > $@
devhelpfiles: debian/gtk-faq.devhelp debian/gtk-tutorial.devhelp

debian/dh_gtkmodules.1: debian/dh_gtkmodules
	cd debian && pod2man -c "Gtk" -r "$(DEBVERSION)" dh_gtkmodules dh_gtkmodules.1

patch: $(STAMP_DIR)/patch-stamp

$(STAMP_DIR)/patch-stamp:
	dh_testdir
	mkdir $(STAMP_DIR)
	mkdir -p m4
	cp /usr/share/gtk-doc/data/gtk-doc.make .
	dh_autoreconf
	touch $@

$(STAMP_DIR)/configure-stamp-%: $(STAMP_DIR)/patch-stamp
	dh_testdir
	mkdir -p $(builddir)
	cd $(builddir) && \
		CFLAGS="$(call flavor_get,CFLAGS)" \
		LDFLAGS="$(call flavor_get,LDFLAGS)" \
			$(CURDIR)/configure $(call flavor_get,configure_flags)
	touch $@

configure: $(addprefix $(STAMP_DIR)/configure-stamp-, $(FLAVORS))

$(STAMP_DIR)/build-stamp-%: $(STAMP_DIR)/configure-stamp-%
	dh_testdir
	LD_LIBRARY_PATH=$(builddir)/gtk/.libs:$(builddir)/gdk/.libs:$(LD_LIBRARY_PATH) \
		$(MAKE) $(PARALLEL_FLAGS) -C $(builddir)
	touch $@

build: $(addprefix $(STAMP_DIR)/build-stamp-, $(FLAVORS))

$(STAMP_DIR)/check-stamp-%: $(STAMP_DIR)/build-stamp-%
	dh_testdir
	# setting LD_LIBRARY_PATH for "make check" might be needed in the
	# future, but doesn't seem necessary right now
	#LD_LIBRARY_PATH=$(builddir)/gtk/.libs:$(builddir)/gdk/.libs:$(LD_LIBRARY_PATH)
	# testsuite failures are ignored
	-$(MAKE) -C $(builddir) check
	touch $@

check: $(addprefix $(STAMP_DIR)/check-stamp-, $(CHECK_FLAVORS))

$(STAMP_DIR)/install-stamp-%: $(STAMP_DIR)/build-stamp-%
	mkdir -p $(installdir)
	$(MAKE) -C $(builddir) install \
		DESTDIR=$(installdir)
	touch $@

install: $(addprefix $(STAMP_DIR)/install-stamp-, $(FLAVORS))

# gross kludge to force control generation with the %.in target
clean::
	touch debian/control.in

debian/%: debian/%.in
	dh_testdir
	sed \
		-e "s#@SONAME@#$(SONAME)#g" \
		-e "s#@APIVER@#$(APIVER)#g" \
		-e "s#@VERSION@#$(VERSION)#g" \
		-e "s#@GTK_BINVER_DEP@#$(GTK_BINVER_DEP)#g" \
		-e "s#@SHARED_PKG@#$(SHARED_PKG)#g" \
		-e "s#@COMMON_PKG@#$(COMMON_PKG)#g" \
		-e "s#@DEV_PKG@#$(DEV_PKG)#g" \
		-e "s#@UDEB_PKG@#$(UDEB_PKG)#g" \
		-e "s#@DOC_PKG@#$(DOC_PKG)#g" \
		-e "s#@BIN_PKG@#$(BIN_PKG)#g" \
		-e "s#@DEBUG_PKG@#$(DEBUG_PKG)#g" \
		-e "s#@EXAMPLES_PKG@#$(EXAMPLES_PKG)#g" \
		-e "s#@PIXBUF_PKG@#$(PIXBUF_PKG)#g" \
		-e "s#@GNOME_TEAM@#$(UPLOADERS)#g" \
		-e "s#@GTK_BINARY_VERSION@#$(GTK_BINARY_VERSION)#g" \
		-e "s#@LIBDIR@#$(LIBDIR)#g" \
		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
		-e "s#@OLD_MODULES_BASE_PATH@#$(OLD_MODULES_BASE_PATH)#g" \
		$@.in \
		> $@

clean:: debian/control
	dh_testdir
	dh_testroot

## gtk+2.0 2.24.25

=== debian/changelog ===
gtk+2.0 (2.24.25-3) unstable; urgency=medium

  * 0002-gdk-Fix-GdkWindowFilter-internal-refcounting.patch
    0003-gdkwindow-Fix-event-unref-iteration.patch: Cherry-pick two commits
    from upstream gtk2 branch to fix refcounting errors in light of the
    event_apply_filters change in the previous upload. This was causing
    crashes in some applications, such as Spotify.

 -- Iain Lane <laney@debian.org>  Tue, 03 Mar 2015 18:39:45 +0000

gtk+2.0 (2.24.25-2) unstable; urgency=medium

  * debian/patches/0001-Make-gdk_event_apply_filters-safe-against-changes-in.patch:
    Cherry-pick patch from upstream stable branch to protect
    gdk_event_apply_filters_safe from changes in the filter list (Closes:
    #777142)

 -- Iain Lane <laney@debian.org>  Mon, 02 Mar 2015 09:56:09 +0000

gtk+2.0 (2.24.25-1) unstable; urgency=medium

  * Team upload
  * debian/watch: change http://download.gnome.org to https, uscan doesn't
    like being redirected
  * New upstream release
    - tolerates incorrect use of gtk_main() after initializing threads
      with gtk_init() but before taking the lock with gdk_threads_enter(),
      which has historically worked on GNU systems because glibc's mutexes
      are more permissive than the new implementation in GLib 2.42
      (Closes: #758619, #763602, #763625, #763690, #763735,
      but the affected packages should still use Gdk's threading API properly)
    - update debian/copyright

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Oct 2014 18:33:05 +0100

gtk+2.0 (2.24.24-1) unstable; urgency=medium

  * New upstream release 2.24.24.
  * debian/patches/099_format_security_fixes.patch: Drop, included in this
    upstream release.
  * update-icon-caches: Pass the new --include-image-data flag to preserve
    compatibility.

 -- Iain Lane <laney@debian.org>  Tue, 24 Jun 2014 11:43:22 +0100

gtk+2.0 (2.24.23-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5.
  * Enable hardening build flags using /usr/share/dpkg/buildflags.mk.
  * debian/patches/099_format_security_fixes.patch: Fix a format string
    vulnerability in the pixbuf engine.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Apr 2014 15:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gtk+2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                gettext,
                gtk-doc-tools (>= 1.11),
@@ -43,8 +42,9 @@
                      libatk1.0-doc,
                      libpango1.0-doc,
                      libcairo2-doc
-Standards-Version: 3.9.4
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntu
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtk+2.0/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk+2.0/
 Homepage: http://www.gtk.org/
 
 Package: libgtk2.0-0

## gtk+2.0 2.24.27

=== debian/changelog ===
gtk+2.0 (2.24.27-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * 0002-gdk-Fix-GdkWindowFilter-internal-refcounting.patch
    0003-gdkwindow-Fix-event-unref-iteration.patch: Drop, these are upstream
    in this release.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 04 Mar 2015 13:14:15 +0000

gtk+2.0 (2.24.26-0ubuntu2) vivid; urgency=medium

  * 0002-gdk-Fix-GdkWindowFilter-internal-refcounting.patch
    0003-gdkwindow-Fix-event-unref-iteration.patch: Cherry-pick two commits
    from upstream gtk2 branch to fix refcounting errors in light of the
    event_apply_filters change in 2.24.26. This was causing crashes in some
    applications, such as Spotify.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 03 Mar 2015 18:11:59 +0000

gtk+2.0 (2.24.26-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    + Protect gdk_event_apply_filters safe from changes in the filter list
    (LP: #1351890)
  * Now need to build with --enable-man to build the manpages, and build-dep
    on libxml2-utils to get xmlcatalog which configure uses to decide whether
    to build them.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 20 Feb 2015 17:48:37 +0000

gtk+2.0 (2.24.25-0ubuntu2) vivid; urgency=medium

  * debian/patches/use-secrets-service-for-cups-auth_info.patch
    - Backport of auth_info storing (LP: #445333)
  * debian/patches/printing-initialize-auth_info.patch
    - Fix to an upstream bug:
      https://bugzilla.gnome.org/show_bug.cgi?id=737777
  * Bump minimum version of gtk_print_backend_set_password due to addition of
    new boolean parameter.

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Fri, 21 Nov 2014 12:36:11 +0100

gtk+2.0 (2.24.25-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * 0001-threads-Do-not-release-the-GDK-lock-if-it-hasn-t-bee.patch,
    git_widget_null_handling.patch: Drop, applied upstream in this release.
  * debian/watch: Use https, not http, to please uscan.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 13 Oct 2014 18:05:44 +0100

gtk+2.0 (2.24.24-0ubuntu3) utopic; urgency=medium

  * Apply patch from Adam Smith, backported from gtk+3.0, to allow windows to
    be dragged using blank spaces in the toolbar as well as the menubar. (LP:
    #1332721)
  * 0001-threads-Do-not-release-the-GDK-lock-if-it-hasn-t-bee.patch:
    Cherry-pick from upstream to work around abort() inside GLib occuring in
    applications that do not intialise GDK for threading right. (LP: #1374030)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 09 Oct 2014 12:38:20 +0100

gtk+2.0 (2.24.24-0ubuntu2) utopic; urgency=medium

  * debian/patches/git_widget_null_handling.patch:
    - backport upstream fix for a segfault issue (lp: #1278729)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Oct 2014 11:34:10 +0200

gtk+2.0 (2.24.24-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * update-icon-caches: Pass the new --include-image-data flag to preserve
    compatibility.
  * git_print_default_location.patch,
    backport_gtkmountoperation_signal_fix.patch: Drop, included upstream.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 24 Jun 2014 12:49:26 +0100

gtk+2.0 (2.24.23-0ubuntu1.1) trusty; urgency=medium

  * Backport GtkMountOperation signal fix (LP: #1316509)

 -- Alistair Buxton <a.j.buxton@gmail.com>  Tue, 06 May 2014 12:28:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gtk+2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                gettext,
                gtk-doc-tools (>= 1.11),
@@ -35,16 +36,16 @@
                libgirepository1.0-dev (>= 0.9.3),
                quilt,
                gawk,
-               shared-mime-info
-Build-Depends-Indep: docbook-xml,
-                     docbook-utils,
-                     libglib2.0-doc,
+               shared-mime-info,
+               docbook-xml,
+               docbook-utils,
+               libxml2-utils,
+Build-Depends-Indep: libglib2.0-doc,
                      libatk1.0-doc,
                      libpango1.0-doc,
                      libcairo2-doc
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtk+2.0/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk+2.0/
+Standards-Version: 3.9.4
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntu
 Homepage: http://www.gtk.org/
 
 Package: libgtk2.0-0

=== debian/rules ===
--- 
+++ 
@@ -117,6 +117,7 @@
 			--enable-test-print-backend \
 			--enable-introspection=no \
 			--with-xinput=yes \
+			--enable-man \
 			--build=$(DEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	configure_flags += --host=$(DEB_HOST_GNU_TYPE)

## gtk+2.0 2.24.28

=== debian/changelog ===
gtk+2.0 (2.24.28-1ubuntu1.1) wily-security; urgency=medium

  * gdkcairo-Avoid-integer-overflow.patch: new patch. Cherry-pick upstream
    commit from GTK+3 to avoid integer overflow when allocating a large block
    of memory in gdk_cairo_set_source_pixbuf. (LP: #1540811)
    - CVE-2013-7447

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 22 Sep 2015 13:27:04 +0300

gtk+2.0 (2.24.28-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP: #1485548).  Remaining changes:
    - d/libgtk2.0-0.symbols: update symbols file.
    - d/libgtk2.0-dev.manpages: add gtk-builder-convert.1 manpage.
    - d/rules: enable manpage.
    - d/update-icon-caches: run with "--include-image-data" flag.
    - add Ubuntu patches:
      + debian/patches/012_ubuntu-set-grab-add.patch
        - Added ubuntu_gtk_widget_set_has_grab so we can grab sliders and 
          things in menus, needed by ido
      + debian/patches/062_dnd_menubar.patch:
        - Allow click on menubars for dnd
      + debian/patches/063_treeview_almost_fixed.patch:
        - Add an ubuntu-almost-fixed-height-mode property, (required for
          software-center)
      + debian/patches/071_no_offscreen_widgets_grabbing.patch:
        - Don't let offscreen widgets do grabbing
      + debian/patches/090_logging_file_saves.patch:
        - improve the logging of saved files
      + debian/patches/092_default_to_xdg_document_dir.patch:
        - Use $XDG_DOCUMENTS_DIR as default directory rather than the home
          directory for the 'Print to File' function.
      + debian/patches/093_gtk3_gtkimage_fallbacks_use.patch:
        - Backported gtk3 patch to add a "use-fallback" property to GtkImage,
          using it "icon-name and GIcon type of GtkImages can use automatic
          fallback names.", it will be useful for the indicator stack
      + debian/patches/095_git_menus_scrolling.patch:
        - backported gtk3 commit to fix menu scrolling issues
      + debian/patches/096_git_gtkprintsettings.patch:
        - upstream git commit backported from the gtk3 serie, don't ignore the 
          gtkprintsettings resolution settings 
      + debian/patches/097_statusicon_image_fallback.patch: Make GtkStatusIcon
        images use fallbacks by default if the property is available.
      + debian/patches/098_multiarch_module_path.patch:
        - Fallback to the pre-multiarch directory for compatibility
      + debian/patches/099_printer_filename_fix.patch
        - Fix to the print dialog for print to file, make sure a non-hidden filename 
          is the default
      + debian/patches/100_overlay_scrollbar_loading.patch
        - support for dynamically loading overlay scrollbars
      + debian/patches/gtk-shell-shows-menubar.patch:
        - list gtk-shell-shows-menubar setting, that's required to have the local
          menubars hidding under unity in favor of the unity ones,
      + debian/patches/print-dialog-show-options-of-remote-dnssd-printers.patch:
        - Make printing on remote DNS-SD/Bonjour-shared printers work
      + debian/patches/backport_search_printer_location.patch
        -  The list of printers should be searchable/sortable
      + debian/patches/menubar_toolbar_dragging.patch:
        - Allow windows to be dragged using blank spaces in the toolbar as
          well as the menubar
      + debian/patches/use-secrets-service-for-cups-auth_info.patch
        - Backport of auth_info storing
      + debian/patches/printing-initialize-auth_info.patch
        - Fix to an upstream bug:
          https://bugzilla.gnome.org/show_bug.cgi?id=737777

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Aug 2015 12:49:04 +0200

gtk+2.0 (2.24.28-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop obsolete Breaks/Conflicts/Replaces from pre-wheezy.
  * Stop including image data when generating the icon caches since the cache
    files tend to grow rather large and aren't that useful anymore nowadays.
  * Explicitly build the man pages, upstream no longer ships them in the dist
    tarball.
  * Add Build-Depends on docbook-xsl and libxml2-utils and move docbook-xml
    and docbook-utils from Build-Depends-Indep to Build-Depends. Those are
    required to build the man pages which are shipped in arch:any packages.
  * Bump Standards-Version to 3.9.6.
  * Don't enable introspection and man pages for udeb build.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Jun 2015 17:00:08 +0200

gtk+2.0 (2.24.28-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 14 May 2015 10:35:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                gettext,
                gtk-doc-tools (>= 1.11),
+               xsltproc,
                pkg-config,
                autotools-dev,
                dh-autoreconf,
@@ -38,13 +39,14 @@
                gawk,
                shared-mime-info,
                docbook-xml,
+               docbook-xsl,
                docbook-utils,
-               libxml2-utils,
+               libxml2-utils
 Build-Depends-Indep: libglib2.0-doc,
                      libatk1.0-doc,
                      libpango1.0-doc,
                      libcairo2-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntu
 Homepage: http://www.gtk.org/
 
@@ -93,8 +95,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: libgtk2.0-0
-Replaces: libgtk2.0-0 (<< 2.24.8-2)
-Breaks: libgtk2.0-0 (<< 2.24.8-2)
 Multi-Arch: foreign
 Description: common files for the GTK+ graphical user interface library
  GTK+ is a multi-platform toolkit for creating graphical user
@@ -147,7 +147,6 @@
 Recommends: python (>= 2.4),
             debhelper
 Suggests: libgtk2.0-doc
-Replaces: gir-repository-dev
 Description: development files for the GTK+ library
  GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK+ is suitable
@@ -231,9 +230,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends}
-Conflicts: gobject-introspection-repository,
-           gir1.0-gtk-2.0
-Replaces: gir1.0-gtk-2.0
 Description: GTK+ graphical user interface library -- gir bindings
  GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK+ is suitable
@@ -263,7 +259,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgail18 (= ${binary:Version})
-Breaks: libgnome2-0 (<< 2.32.1-2)
 Multi-Arch: same
 Description: GNOME Accessibility Implementation Library -- common modules
  Gail implements ATK interfaces for GTK+ widgets which are dynamically
